View Issue Details

IDProjectCategoryView StatusLast Update
00304302.x IDE BugsGeneralPublic2019-02-15 14:23
ReporterDanAssigned ToSteven Campbell 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030430: General: IDE detects lack of root view for a project, but does nothing to inform the user or attempt a repair
DescriptionUsing the attached project, you can see the IDE detects the lack of a root view for the project, but does nothing to inform the user or attempt a repair. Accordingly, on trying to run the game you suddenly get a compile error that the room cannot be found. The room opens fine within the IDE.

You can see that we log the error to the ui.log, but do not show this to the user in the IDE:
[18:16:28:149(9b35)] Creating FolderWatcher at 'C:\Users\Marti\Documents\GameMakerStudio2\Strategie'
[18:16:28:346(9b35)] No root view detected...

[15:04:12:70(3bf8)] Creating FolderWatcher at 'C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\Strategie2'
[15:04:12:72(3bf8)] No root view detected...

Expected: We either prompt the user to repair this issue automatically (as we do for other forms of corruption) or, if no repair is possible, we show a message on project load that the project has this issue.
Steps To Reproduce1. Open the project in the archive P:\GMS2-Bugs\0030430-Strategie.rar
2. Observe that it appears to load fine.
3. Try running it.
4. Observe it complains that the room is missing.
Repro: 100%
TagsIDE
2.x IDE Found In2.2.1.375
2.x Runtime Found In2.2.1.291
2.x IDE Verified In2.2.2.393
2.x Runtime Verified In2.2.2.308

Activities

Steven Campbell

2019-01-29 11:22

Manager   ~0062545

Fixed as part of Red IDE/GitHub Pull Request 4451
Git Id: e565f65e6c37752023e340743bd370278b7796e9

Project was not set as dirty, so although the root view had been recreated by the IDE, it had not been saved out.
Above commit also does additional fixing of rogue resources in root views and ensures the order matches up correctly.

Dan

2019-02-06 16:00

Adminstrator   ~0062662

IDE 391+

Matthew McInnes

2019-02-15 14:23

Adminstrator   ~0063222

Closing. Verified as fixed in:

Beta IDE v2.2.2.393 Beta Runtime v2.2.2.308